Create a webhook subscription
Authorization
ApiKeyAuth AuthorizationBearer <token>
API key from Settings → API Keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "https://yourapp.com/webhooks/automette", "events": [ "render.completed", "render.failed" ] }'{ "id": "cm4whk6pd0001jv04k9d5r2bj", "url": "https://yourapp.com/webhooks/automette", "events": [ "render.completed", "render.failed" ], "secret": "wh_abc123...", "enabled": true, "failure_count": 0, "template_id": null, "created_at": "2026-04-22T12:00:00.000Z"}List webhook subscriptions GET
Returns all webhook subscriptions for your team. `failure_count` is the rolling count of consecutive failed delivery attempts. Automette auto-disables a subscription after **10 consecutive failures** — PATCH `enabled: true` to re-arm it and reset the counter.
Get a webhook subscription GET
Next Page